Bug 202958 - Need special handling for MOUNT_PROC_USB (strip error)
Need special handling for MOUNT_PROC_USB (strip error)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-17 10:28 EDT by Tom London
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-20 17:15:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom London 2006-08-17 10:28:44 EDT
Description of problem:
MOUNT_PROC_USB is not a module, can't be stripped.

Perhaps something like:
--- /sbin/mkinitrd      2006-08-16 15:35:10.000000000 -0700
+++ /tmp/mkinitrd       2006-08-17 07:35:21.000000000 -0700
@@ -1061,7 +1061,11 @@
 
 for MODULE in $MODULES; do
     if [ -x /usr/bin/strip ]; then
-        /usr/bin/strip -g $verbose $MODULE -o $MNTIMAGE/lib/$(basename $MODULE)
+        case $MODULE in
+        MOUNT_PROC_USB*) ;;
+        *) /usr/bin/strip -g $verbose $MODULE -o $MNTIMAGE/lib/$(basename $MODULE)
+           ;;
+        esac
     else
         cp $verbose -a $MODULE $MNTIMAGE/lib
     fi

Version-Release number of selected component (if applicable):
mkinitrd-5.1.8-1

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Note You need to log in before you can comment on or make changes to this bug.